aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-bottle-sqlalchemy
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-10-05 13:28:19 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-10-22 08:23:14 +0000
commitac9fe81caed70610799d18b5e049ea3eb5b26154 (patch)
treed01915cbac87f0a393f820e067fa31d9db5a47d5 /testing/py-bottle-sqlalchemy
parent60ff7f4d4b5b0fee083d4adaa217860ea913d3a5 (diff)
downloadaports-ac9fe81caed70610799d18b5e049ea3eb5b26154.tar.gz
aports-ac9fe81caed70610799d18b5e049ea3eb5b26154.tar.bz2
aports-ac9fe81caed70610799d18b5e049ea3eb5b26154.tar.xz
testing/py-bottle-sqlalchemy: new aport
Bottle SQLAlchemy integration plugin http://www.github.com/iurisilvio/bottle-sqlalchemy
Diffstat (limited to 'testing/py-bottle-sqlalchemy')
-rw-r--r--testing/py-bottle-sqlalchemy/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-bottle-sqlalchemy/APKBUILD b/testing/py-bottle-sqlalchemy/APKBUILD
new file mode 100644
index 0000000000..66466c4188
--- /dev/null
+++ b/testing/py-bottle-sqlalchemy/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-bottle-sqlalchemy
+_pkgname=bottle-sqlalchemy
+pkgver=0.4
+pkgrel=0
+pkgdesc="Bottle SQLAlchemy integration plugin"
+url="http://www.github.com/iurisilvio/bottle-sqlalchemy"
+arch="noarch"
+license="MIT"
+depends="python py-bottle py-sqlalchemy"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.zip"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="7143bf6c93e0aa3b204004b6ddca754e bottle-sqlalchemy-0.4.zip"
+sha256sums="d97a3ba57de377a0f85d5a4e3f1466e005d344b004127b0e25c60acca2fd82a8 bottle-sqlalchemy-0.4.zip"
+sha512sums="04f3f44488f98f1e51d575cfccd60c59e695fd41a36f9790201012e5ceb544ecbacfb18786923ed3c4f6c2283d091374f73b51401fe31531dee39ae115b8bf9f bottle-sqlalchemy-0.4.zip"